aboutsummaryrefslogtreecommitdiffstats
path: root/extra/nmap/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'extra/nmap/APKBUILD')
-rw-r--r--extra/nmap/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/extra/nmap/APKBUILD b/extra/nmap/APKBUILD
new file mode 100644
index 0000000000..ae7be5ed19
--- /dev/null
+++ b/extra/nmap/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=nmap
+pkgver=4.76
+pkgrel=0
+pkgdesc="A network exploration tool and security/port scanner"
+url="http:/nmap.org"
+license="custom:GPL"
+depends="pcre libpcap openssl-dev lua-dev"
+makedepends="g++"
+install=
+subpackages="$pkgname-doc $pkgname-nse"
+source="http://nmap.org/dist/$pkgname-$pkgver.tgz"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --without-zenmap \
+ --with-liblua=/usr/include \
+ --with-openssl=/usr/lib
+ make || return 1
+ make DESTDIR="$pkgdir" install
+
+ # install custom GPL2 license
+ install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+}
+
+nse() {
+ mkdir -p "$subpkgdir"/usr/share/$pkgname
+ mv "$pkgdir"/usr/share/$pkgname/nselib "$subpkgdir"/usr/share/$pkgname/
+ mv "$pkgdir"/usr/share/$pkgname/scripts "$subpkgdir"/usr/share/$pkgname/
+}
+
+md5sums="54b5c9e3f44c1adde17df68170eb7cfe nmap-4.76.tgz"